#include <xvt.h>
#include <strings.h>
#include <checks.h>

#include "at0.h"

#define usage   "Error - usage : %s -{0|1|2|3}"

int main(int argc,char** argv)

{
  int             rt = -1 ;
  const int r = (argc > 1) ? atoi(&argv[1][1]) : -1;

  switch (r)
  {
  case 0:
    rt = at0100(argc,argv) ; break;
  case 1:
    rt = at0200(argc,argv) ; break;
  case 2:
    rt = at0300(argc,argv) ; break;
  case 3:
    rt = at0400(argc,argv) ; break;
  default:
    error_box(usage, argv[0]) ; break;
  }
  return rt;
}
